/*
    Copyright 2007 (c) by S. Ryffel,
    Swiss Federal Institute of Technology,
    Computer Engineering and Networks Laboratory.

    TOPSY -- A Teachable Operating System.
             Implementation of a tiny and simple
             micro kernel for teaching purposes.

    For further information, please visit http://www.tik.ee.ethz.ch/~topsy

    This software is provided under the terms of the GNU General Public 
    Licence. A full copy of the GNU GPL is provided in the file COPYING 
    found in the development root of Topsy.
*/
/*

    File:                  $Source$
    Affiliation:           ETH Zuerich, TIK
    Version:               $Revision$
    Last Date of Change:   $Date$  by: $Author$

*/

int __is_apic_present(void);
int __enable_apic(void);
int __disable_apic(void);

int __cpu_by_intel(void);
int __intel_get_brand_index(unsigned short* brand_id, int* version_info, int* apic_id );
int __intel_get_brand_string(char* brand_string);
int __max_cpuid(void);
int __intel_get_scalable_bus_speed();

void __get_apic_base(address_t* apic_base, int* is_bsr);

void __endOf_APIC_IRQ(void);

